{% extends "frontBase.html.twig" %}

{% block title %}
    Génération de devis
{% endblock %}

{% block body %}
    <div class="wrapper image-wrapper bg-image page-title-wrapper inverse-text" data-image-src="{{ asset('style/images/art/bg3.jpg') }}">
        <div class="container inner text-center">
            <div class="space90"></div>
            <h1 class="page-title">Génération de devis</h1>
            <p class="lead">Aenean lacinia bibendum nulla sed consectetur</p>
        </div>
    </div>

    <div class="wrapper light-wrapper">
        <div class="container inner">
            <p class="mb-3">
                <a href="{{ path('front_quote_generation_pdf') }}" class="btn-generate-pdf btn btn-teal"><i class="jam jam-file"></i> Télécharger en PDF</a>
                <a href="#modal-ticket" data-toggle="modal" data-target="#modal-ticket" class="btn btn-violet"><i class="jam jam-check"></i> Demande d'achat</a>
            </p>
            {% include "quote/_quote.html.twig" %}
            <p class="mt-3">
                <a href="#" data-toggle="modal" data-target="#modal-ticket" class="btn btn-teal"><i class="jam jam-file"></i> Télécharger en PDF</a>
                <a href="#modal-ticket" data-toggle="modal" data-target="#modal-ticket" class="btn btn-violet"><i class="jam jam-check"></i> Demande d'achat</a>
            </p>
        </div>
    </div>

    <div class="modal fade fadeInUp" id="modal-ticket" tabindex="-1" role="dialog" aria-labelledby="modal-ticket">
        <div class="modal-dialog modal-dialog-centered modal-sm" role="document">
            <div class="modal-content">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <div class="box bg-white p-40 text-center">
                    <h3>Demande d'achat</h3>
                    <p>Demandez le contact d'un commercial pour négicier votre devis et procéder à votre achat !</p>
                    <div class="newsletter-wrapper">
                        <div class="row">
                            <div class="col-md-10 offset-md-1">
                                {{ form_start(form) }}
                                <div class="form-group">
                                    {{ form_label(form.message, 'Voulez-vous dire quelque chose au commercial ?') }}
                                    {{ form_widget(form.message, {attr: {class: 'form-control'}}) }}
                                    {{ form_errors(form.message) }}
                                </div>
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary">Créer votre ticket</button>
                                </div>
                                {{ form_end(form) }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block stylesheets %}
    <style>
        .quote-box {
            max-width: 100%;
            margin: auto;
            padding: 30px;
            border: 1px solid #eee;
            box-shadow: 0 0 10px rgba(0, 0, 0, .15);
            font-size: 16px;
            line-height: 24px;
            color: #555;
        }
    </style>
{% endblock %}